<script lang="ts">
  import { goto } from '$app/navigation';
  import { bsnToSqid } from '$lib';

  let bsnInput: HTMLInputElement;
</script>

<svelte:head>
  <title>Inloggen - Fictieve Mijn Overheid</title>
</svelte:head>

<div class="mb-7 flex items-center">
  <div class="mr-2 h-10 w-10 rounded-md bg-gray-900"></div>
  <h1 class="text-sm">
    <strong class="block font-semibold">Inloggen bij</strong>
    Fictieve Mijn Overheid
  </h1>
</div>

<h2 class="mb-7 text-xl font-semibold text-amber-600">Kies een gebruiker</h2>

<form
  on:submit|preventDefault={() => {
    goto(`/${bsnToSqid(bsnInput.value)}`);
  }}
>
  <label class="mb-1 block font-bold" for="bsn">BSN</label>
  <input
    bind:this={bsnInput}
    id="bsn"
    class="mb-6 w-full rounded-md border border-[#282828] px-2.5 py-2 focus:-translate-y-0.5 focus:border-[#282828] focus:shadow-[0_2px_4px_rgba(0,0,0,0.24)] focus:outline-none focus:ring-0"
    type="text"
    placeholder="BSN…"
  />

  <div class="flex flex-col items-end">
    <button
      type="submit"
      class="relative flex items-center rounded-md bg-[#e17000] px-6 py-3 font-bold text-white transition-transform duration-150 hover:-translate-y-0.5"
      >Inloggen
      <svg
        class="ml-3 h-3"
        version="1.1"
        viewBox="0 0 166.42 264.84"
        xmlns="http://www.w3.org/2000/svg"
      >
        <path
          d="m166.42 132.29q0 4.7625-1.4552 8.0698t-4.8948 7.0115l-111.65 111.39q-3.175 3.175-6.6146 4.6302t-8.0698 1.4552-8.0698-1.4552-6.8792-4.6302l-12.435-12.435q-3.175-3.175-4.7625-7.276t-1.5875-7.8052q0-4.4979 1.4552-7.9375t4.8948-6.8792l82.285-84.138-82.021-81.492q-2.9104-2.9104-4.4979-7.0115t-1.5875-7.8052q0-4.4979 1.4552-7.9375t4.6302-6.8792l12.435-15.081q3.175-3.175 6.6146-4.6302 3.4396-1.4552 8.2021-1.4552t8.0698 1.4552q3.3073 1.4552 7.0115 4.6302l110.86 111.92q3.4396 3.175 5.0271 6.4823t1.5875 7.8052z"
          stroke-width=".26458"
          fill="currentColor"
        />
      </svg></button
    >
  </div>
</form>
